APIReferenceSettings
Update the industry profile
Changes display fields on the industry profile.
Changes display fields on the industry profile.
Authorization
bearerAuth AuthorizationBearer <token>
A Supabase Auth user access token for the signed-in SignalDock user, sent as Authorization: Bearer <token>. Paste one from a signed-in session, or obtain one through the oauth2 scheme; the API accepts either.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/settings/industry-profile" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9" }'{ "profile": { "id": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa", "organization_id": "33333333-3333-4333-8333-333333333333", "key": "string", "name": "string", "description": "string", "proposition_text": "string", "created_at": "2026-09-15T12:00:00.000Z", "updated_at": "2026-09-15T12:00:00.000Z" }, "personas": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "industry_profile_id": "6b5134cb-0e0a-4fa2-acd5-d44a82c05b85", "segment": "string", "title_keywords": [ "string" ], "priority": 0 } ], "products": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "industry_profile_id": "6b5134cb-0e0a-4fa2-acd5-d44a82c05b85", "key": "string", "name": "string", "description": "string", "fit_keywords": [ "string" ] } ]}